Subject: [Hubmib] RE: questions on EPON mib

From: "Lior Khermosh" <[email-masked]>
Date: Sun, 11 Jun 2006 10:31:55 +0300

Dear Mr. Wei,
Thank you for you question. I have copied your question into the mail.
The EPON MIB document defines the object which are in addition to the current management objects which are defined in the interface and Ether-like interface MIBs for the management of Ethernet interfaces. This includes managing the MAC, and PHY sublayers as currently available by the Ethernet management objects. How is the management of these layer handled in the EPON case is described in section 3 in the relation for other MIB modules. What needs the special care is the handling of the management of the virtual EPON point to point links. The selection of the document was to handle them as separate physical interfaces with a dedicated ifIndex for each.

The items which I have found to be missing were added in the extended package group of objects.

I will be happy to elaborate if any further information is needed.

Best regards,
Lior

Dear Mr Khermosh,
     I've gotten from Internet the fact that you are in charge of the work of EPON MIB as 
an member in IETF.Thanks to your work,i've had a better understanding on the EPON management
based on interface.However, i still have some questions.
     As the following diagram showes, the layering of EPON includes several sub-layers. 
You have redefined and organized the objects of MPCP sublayer,P2PE sublayer and FEC sublayer
in the draft file:draft-ietf-hubmib-efm-epon-mib-04.These objects are convenient for management
through SNMP. And in another draft file:draft-ietf-hubmib-efm-mib-04,objects in OAM sublayer 
are redefined too.
     My answers are:if we want to manage the objects of all layers described in IEEE802.3ah 
Clause30 by SNMP,we must redifine all the objects in Internet SMI. But why did you ignore 
the MAC sublayer and other sublyers(PCS,PMA and PMD) in PHY layer? Do you think that these
ignored sublayers are not neccessary for the management? Are there somebody else doing such
work? 
     
      +==========================================+
      |               Higher layers              |
      +==========================================+
      |               802.1D Bridge              |
      +==========================================+
      |                   OAM                    |
      +==========================================+
      | MAC client|        ...        |MAC client|  
      +==========================================+
      |           MAC Control - (MPCP)           |           
      +==========================================+
      |    MAC    |        ...        |    MAC   |
      +==========================================+
      |           P2P Emulation (P2PE)           |           
      +==========================================+
                      |            |
                      |    GMII    |
                      |            |
      +==========================================+
      |                    PCS                   |
      +==========================================+
      |                    FEC                   |       
      +==========================================+
      |                    PMA                   |
      +==========================================+
      |                    PMD                   |
      +==========================================+
                      |            |
                      |    MDI     |
                      |            |
                    /===================/
                   /       Media       /
                  /===================/
 
     Thank you and best wishes! 
                                                    Jinlong Wei

________________________________

From: 腾飞龙 [mailto:[email-masked]] 
Sent: Friday, June 09, 2006 6:29 AM
To: Lior Khermosh
Subject: questions on EPON mib

Dear Mr Khermosh,
        I have some questions on EPON MIB and i sent them to you as an attachment. I hope your will give me a response.

        Thank you very much !

 

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib